
#ifndef MAIN_H
#define MAIN_H
#ifdef __cplusplus
extern "C" {
#endif


//---------------------------------------------------------------------------
//vȌ
enum {
	STATE_INIT = 0x01,
	STATE_RESET,
	STATE_EXEC,
	STATE_DRAW,
	STATE_WAIT,
	STATE_MENU,
};
//---------------------------------------------------------------------------
EWRAM_CODE void StateInit();
EWRAM_CODE void StateReset();
EWRAM_CODE void StateExec();
EWRAM_CODE void StateDraw();
EWRAM_CODE void StateWait();
EWRAM_CODE void StateMenu();


EWRAM_CODE void InitWS();
EWRAM_CODE void InitKey();
EWRAM_CODE void InitFont();
EWRAM_CODE void InitSprite();
EWRAM_CODE void InitIRQ();
EWRAM_CODE void InitGBFS();


EWRAM_CODE void ErrorMessage(char* msg1, char* msg2);


#ifdef __cplusplus
}
#endif
#endif
